## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-tzlocal
Version:        5.2
Release:        %autorelease
Summary:        A Python module that tries to figure out what your local timezone is

License:        MIT
URL:            https://github.com/regebro/tzlocal
# pypi/pythonhosted tarballs don't respect symlinks which are used in the test
Source0:        %{url}/archive/%{version}/tzlocal-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-mock

%global common_description %{expand:
This Python module returns a tzinfo object with the local timezone information.
It requires pytz, and returns pytz tzinfo objects. This module attempts to fix
a glaring hole in pytz, that there is no way to get the local timezone
information, unless you know the zoneinfo name.}

%description %{common_description}


%package -n python3-tzlocal
Summary:        %{summary}

%description -n python3-tzlocal %{common_description}


%prep
%autosetup -n tzlocal-%{version}


%generate_buildrequires
%pyproject_buildrequires -x test


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files tzlocal


%check
%pytest


%files -n python3-tzlocal -f %{pyproject_files}
# pyproject_files handles LICENSE.txt; verify with “rpm -qL -p …”
%doc README.rst CHANGES.txt


%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 5.2-2
- Rebuilt for Python 3.13

* Sun May 19 2024 Christiano Anderson <chris@christiano.dev> - 5.2-1
- Update to 5.2 RHBZ#2179541

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jun 17 2023 Python Maint <python-maint@redhat.com> - 4.2-3
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Aug 26 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 4.2-1
- Update to 4.2 (close RHBZ#1993583)

* Mon Aug 22 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 2.1-12
- Port to pyproject-rpm-macros

* Mon Aug 22 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 2.1-11
- Remove dependency on deprecated python-mock

* Mon Aug 22 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 2.1-10
- Remove manual Requires, which is no longer required

* Mon Aug 22 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 2.1-9
- Exclude test_data with a patch instead of using “rm”

* Mon Aug 22 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 2.1-8
- Change source archive name to match extraction directory

* Mon Aug 22 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 2.1-7
- Simplify and update various macros in the spec file

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 2.1-5
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.1-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jun 30 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.1-2
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
